> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Labels

> Get Shipping Label for the Service Type Requested



## OpenAPI

````yaml /openapi/openapi_shipping_storefront.json post /commerce/catalog/storefront/shipping/request-labels
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo ShippingRuntime Service
  title: Shipping Storefront
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/storefront/shipping/request-labels:
    post:
      tags:
        - Shipping
      summary: Get Labels
      description: Get Shipping Label for the Service Type Requested
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShipmentRequest'
        description: ''
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShippingRuntimeShipmentResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ShippingRuntimeShipmentResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/ShippingRuntimeShipmentResponse'
          description: OK
components:
  schemas:
    ShipmentRequest:
      properties:
        carrierId:
          nullable: true
          type: string
        consolidationReferences:
          description: >-
            Consolidation references for Order Number, Shipment Number and Order
            Id
          items:
            $ref: '#/components/schemas/ConsolidationReference'
          nullable: true
          type: array
        customAttributes:
          description: >-
            Carrier specific options


            Ex: RequiresDeliveryConfirmation when using usps with non-express
            mail service type.
          items:
            $ref: '#/components/schemas/CustomAttribute'
          nullable: true
          type: array
        customerReferences:
          items:
            $ref: '#/components/schemas/CustomerReferences'
          nullable: true
          type: array
        fulfillmentMethod:
          description: >-
            Fulfillment method for the shipment. STH / Delivery. Empty will be
            assumed as STH.
          nullable: true
          type: string
        isoCurrencyCode:
          nullable: true
          type: string
        labelFormat:
          description: |-
            Returns the Label in the requested format.
            Specify either "LASER" or "THERMAL" format.
            Actual supported image formats vary by carrier.
          nullable: true
          type: string
        relatedOrderId:
          description: |-
            The related Order ID for this shipment request.
            Informational only.
          nullable: true
          type: string
        relatedOrderNumber:
          description: |-
            The related Order Number for this shipment request.
            Informational only.
          format: int32
          nullable: true
          type: integer
        relatedShipmentNumber:
          description: |-
            The related Shipment Number for this shipment request.
            Informational only.
          format: int32
          nullable: true
          type: integer
        shipment:
          $ref: '#/components/schemas/ShippingRuntimeShipment'
        shipmentRequestType:
          description: Selected Shipment Request Type.
          nullable: true
          type: string
        shippingServiceType:
          description: Selected Shipping Service Type.
          nullable: true
          type: string
        signatureOption:
          description: |-
            Specify an optional signature option for this shipment.
            All packages will inherit this option value automatically.
            Set this option on the package level to override this value.
          nullable: true
          type: string
      type: object
    ShippingRuntimeShipmentResponse:
      properties:
        customAttributes:
          items:
            $ref: '#/components/schemas/CustomAttribute'
          nullable: true
          type: array
        isSuccessful:
          type: boolean
        messages:
          items:
            $ref: '#/components/schemas/Notification'
          nullable: true
          type: array
        packageResponses:
          items:
            $ref: '#/components/schemas/ShippingRuntimePackageResponse'
          nullable: true
          type: array
        shippingTotal:
          $ref: '#/components/schemas/Money'
        trackingNumber:
          nullable: true
          type: string
      type: object
    ConsolidationReference:
      properties:
        relatedOrderId:
          nullable: true
          type: string
        relatedOrderNumber:
          format: int32
          nullable: true
          type: integer
        relatedShipmentNumber:
          format: int32
          nullable: true
          type: integer
      type: object
    CustomAttribute:
      properties:
        childAttributes:
          items:
            $ref: '#/components/schemas/CustomAttribute'
          nullable: true
          type: array
        key:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    CustomerReferences:
      properties:
        key:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    ShippingRuntimeShipment:
      properties:
        customAttributes:
          items:
            $ref: '#/components/schemas/CustomAttribute'
          nullable: true
          type: array
        destination:
          $ref: '#/components/schemas/CommerceRuntimeContact'
        estimatedShipmentDate:
          format: date-time
          nullable: true
          type: string
        fulfillmentLocationCode:
          nullable: true
          type: string
        orderTotal:
          format: double
          nullable: true
          type: number
        origin:
          $ref: '#/components/schemas/CommerceRuntimeContact'
        packages:
          items:
            $ref: '#/components/schemas/ShippingRuntimePackage'
          nullable: true
          type: array
        shippingMethodCodes:
          items:
            type: string
          nullable: true
          type: array
      type: object
    Notification:
      properties:
        code:
          nullable: true
          type: string
        message:
          nullable: true
          type: string
        source:
          nullable: true
          type: string
      type: object
    ShippingRuntimePackageResponse:
      properties:
        customAttributes:
          items:
            $ref: '#/components/schemas/CustomAttribute'
          nullable: true
          type: array
        id:
          nullable: true
          type: string
        integratorId:
          description: Easypost ShipmentId required for manifests
          nullable: true
          type: string
        label:
          $ref: '#/components/schemas/ShippingLabel'
        trackingNumber:
          nullable: true
          type: string
      type: object
    Money:
      properties:
        currencyCode:
          nullable: true
          type: string
        value:
          format: double
          type: number
      type: object
    CommerceRuntimeContact:
      properties:
        address:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        companyOrOrganization:
          nullable: true
          type: string
        email:
          nullable: true
          type: string
        firstName:
          nullable: true
          type: string
        id:
          format: int32
          nullable: true
          type: integer
        lastNameOrSurname:
          nullable: true
          type: string
        middleNameOrInitial:
          nullable: true
          type: string
        phoneNumbers:
          $ref: '#/components/schemas/CommerceRuntimePhone'
      type: object
    ShippingRuntimePackage:
      properties:
        contentsValue:
          format: double
          nullable: true
          type: number
        customAttributes:
          items:
            $ref: '#/components/schemas/CustomAttribute'
          nullable: true
          type: array
        id:
          nullable: true
          type: string
        isGift:
          nullable: true
          type: boolean
        measurements:
          $ref: '#/components/schemas/ReservationWebAPIPackageMeasurements'
        packagingType:
          description: Selected PackagingType.  Shipping provider dependent.
          nullable: true
          type: string
        productSummaries:
          description: Product details in the package
          items:
            $ref: '#/components/schemas/ProductSummary'
          nullable: true
          type: array
        signatureOption:
          description: |-
            Specify an optional signature option for this package.
            If not specified, will inherit the option value from the shipment.
          nullable: true
          type: string
      type: object
    ShippingLabel:
      properties:
        imageData:
          format: byte
          nullable: true
          type: string
        imageFormat:
          nullable: true
          type: string
        labelUrl:
          nullable: true
          type: string
      type: object
    CommerceRuntimeAddress:
      properties:
        address1:
          nullable: true
          type: string
        address2:
          nullable: true
          type: string
        address3:
          nullable: true
          type: string
        address4:
          nullable: true
          type: string
        addressType:
          nullable: true
          type: string
        cityOrTown:
          nullable: true
          type: string
        countryCode:
          nullable: true
          type: string
        isValidated:
          nullable: true
          type: boolean
        postalOrZipCode:
          nullable: true
          type: string
        stateOrProvince:
          nullable: true
          type: string
      type: object
    CommerceRuntimePhone:
      properties:
        home:
          nullable: true
          type: string
        mobile:
          nullable: true
          type: string
        work:
          nullable: true
          type: string
      type: object
    ReservationWebAPIPackageMeasurements:
      properties:
        height:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        length:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        weight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        width:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
      type: object
    ProductSummary:
      properties:
        categories:
          items:
            $ref: '#/components/schemas/ShippingRuntimeCategory'
          nullable: true
          type: array
        options:
          items:
            $ref: '#/components/schemas/ShippingRuntimeProductOption'
          nullable: true
          type: array
        price:
          description: Price (unit price * quantity)
          format: double
          type: number
        productCode:
          description: Merchant-created code that uniquely identifies the product.
          nullable: true
          type: string
        productDescription:
          description: Product name/description
          nullable: true
          type: string
        productType:
          nullable: true
          type: string
        properties:
          items:
            $ref: '#/components/schemas/ShippingRuntimeProductProperty'
          nullable: true
          type: array
        quantity:
          description: Product quantity
          format: int32
          type: integer
        unitMeasurements:
          $ref: '#/components/schemas/ItemMeasurements'
      type: object
    CommerceRuntimeMeasurement:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: double
          nullable: true
          type: number
      type: object
    ShippingRuntimeCategory:
      description: Categories to which the product belongs.
      properties:
        id:
          format: int32
          type: integer
        parent:
          $ref: '#/components/schemas/ShippingRuntimeCategory'
      type: object
    ShippingRuntimeProductOption:
      properties:
        attributeFQN:
          nullable: true
          type: string
        dataType:
          nullable: true
          type: string
        value:
          nullable: true
      type: object
    ShippingRuntimeProductProperty:
      properties:
        attributeFQN:
          nullable: true
          type: string
        dataType:
          nullable: true
          type: string
        values:
          items: {}
          nullable: true
          type: array
      type: object
    ItemMeasurements:
      properties:
        girth:
          description: Not exposed publicly
          format: double
          nullable: true
          type: number
        height:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        length:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        weight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        width:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````